#include <bits/stdc++.h>

using namespace std;

vector<vector<int> > graf;
vector<int> dgraf;

int main()
{
    int n,m;
    cin>>n>>m;
    int s,c,i,j;
    graf.resize(n);
    dgraf.resize(n,0);
    for(i=0;i<m;i++){
        cin>>s>>c;
        graf[s].push_back(c);
        graf[c].push_back(s);
        (dgraf[s])++;
        (dgraf[c])++;
    }
    for(i=0;i<n;i++){
        sort(graf[i].begin(),graf[i].end());
    }
    for(i=0;i<n;i++){
        for(j=0;j<dgraf[i];j++){
            cout<<graf[i][j]<<" ";
        }
        cout<<endl;
    }
    return 0;
}
